/**
 * JBoss, the OpenSource J2EE WebOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
 
package acme.mdb;

import org.jboss.logging.Logger;

import javax.jms.MessageListener;
import javax.jms.Message;
import javax.jms.ObjectMessage;
import javax.jms.Destination;
import javax.jms.ConnectionFactory;
import javax.jms.Connection;
import javax.jms.Session;
import javax.jms.MessageProducer;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.naming.InitialContext;

import acme.client.JMSClient;


public class DurableTopicBean implements MessageDrivenBean, MessageListener
{

   private static final Logger log = Logger.getLogger(DurableTopicBean.class);
   private MessageDrivenContext ctx;


   public void ejbRemove()
   {
   }


   public void setMessageDrivenContext(MessageDrivenContext ctx)
   {
       this.ctx = ctx;
   }

   /**
    * We expect to receive ObjectMessages, each message containing an Integer. 
    */
   public void onMessage(Message m)
   {
   	  
      ObjectMessage om = (ObjectMessage)m;
      try
      {
         Integer i = (Integer)om.getObject();

         log.info("received message " + m.getJMSMessageID() + ", payload: " + i);

      }
      catch(Exception e)
      {
         log.error("Failed to process message", e);
      }
   }

   public void ejbCreate()
   {
   }

}


